package com.yanzuoguang.dao;

import com.yanzuoguang.util.helper.StringHelper;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 途比达列明映射
 */

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.FIELD})
public @interface TableAnnotation {

    /**
     * 名称
     *
     * @return
     */
    String value() default StringHelper.EMPTY;

    /**
     * 字段类型
     * @return
     */
    int type() default DaoConst.FIELD_NONE;
}
